<div class="">


  <div class="contact_box">

    <div class="mr-1">

      <button mat-icon-button class="menu-add  ml-2" aria-label="Example icon-button with a menu"
        (click)="onAddContact();">
        <mat-icon matTooltip="affectation Contacts" class="menu-add-icon"><i class="ri-contacts-book-line"></i>
        </mat-icon>
      </button>

      <button mat-icon-button class="menu-add  ml-2" aria-label="Example icon-button with a menu"
        (click)="onNewContact();">
        <mat-icon matTooltip="Nouveu contact" class="menu-add-icon"><i class="ri-user-add-line"></i></mat-icon>
      </button>

    </div>


    <div class="table">
      <table class="table table-sm" [class.table-hover]="selectedContacts && selectedContacts.length > 0">
        <thead>
          <tr>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.CODE'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NOM'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.PRENOM'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.MOBILE'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.EMAIL'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.POSTAL'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.VILLE'|translate}}</th>
            <th>{{'NOUVEAU_COMPTE.COMPTE_CONTACT.ACTION'|translate}}</th>
          </tr>
        </thead>
        <tbody>
        <tr *ngFor="let contact of selectedContacts">
          <td>{{contact.code}}</td>
          <td>{{contact['nom']}}</td>
          <td>{{contact['prenom']}}</td>
          <td>{{contact.mobile1}}</td>
          <td>{{contact.email}}</td>
          <td>{{contact.codePostale}}</td>
          <td>{{contact.ville}}</td>
            <td class="text-center">

              <button class="btn btn-show td-ng-click btn-sm btn-action-table" [title]="'FIELD.BUTTONS.VIEW'|translate"
                (click)="onViewEditContact(contact, true)">
                <em class="fa fa-eye"></em>
              </button>
              <button class="btn btn-edit btn-sm td-ng-click btn-action-table" [title]="'FIELD.BUTTONS.EDIT'|translate"
                (click)="onViewEditContact(contact, false)">
                <em class="fa fa-edit"></em>
              </button>

              <button class="btn btn-delete btn-sm td-ng-click btn-action-table"
                [title]="'FIELD.BUTTONS.DELETE'|translate" (click)="onRemoveContact(contact?.code)">
                <em class="fa fa-trash"></em>
              </button>

            </td>
          </tr>
          <tr *ngIf="!selectedContacts || selectedContacts.length === 0" class="alert-row">
            <td colspan="8">
              <div class="alert alert-primary text-center" role="alert">
                <div class="iq-alert-icon text-center">
                  <i class="ri-information-line"></i>
                </div>
                <div class="iq-alert-text">{{'NOUVEAU_COMPTE.COMPTE_CONTACT.NO_CONTACT'|translate}}</div>
              </div>
            </td>
          </tr>
        </tbody>
      </table>
    </div>


  </div>

</div>
